[Rainmeter]
Author=Chewtoy
DynamicWindowSize=1
BackGroundMode=2
SolidColor=#BG#

[Variables]
BG=0,0,0,1
Font=Tahoma
FColor=255,255,255,180
FSize=12
Effect=Shadow
EColor=0,0,0,150
SColor=120,120,120,250
AA=1

Event=До 2012 осталось
Year=2011
Month=12
Date=31
Hour=23
Minute=59
Second=99

Hide=0

;--------------
;Measures
;--------------



[MInput]
Measure=Plugin
Plugin=InputText.dll
SolidColor=#SColor#
FontColor=#FColor#
FontFace=#Font#
FontSize=#FSize#
FocusDismiss=1
DefaultValue="#Event#"
Y=0
X=0
W=100
Command1=!RainmeterWriteKeyValue Variables Event "$UserInput$" "#CURRENTPATH#CountDownLua.ini"
Command2=!RainmeterRefresh #CURRENTCONFIG#

Command3=!RainmeterWriteKeyValue Variables Year "$UserInput$" "#CURRENTPATH#CountDownLua.ini" Y=40 DefaultValue="#Year#"
Command4=!RainmeterRefresh #CURRENTCONFIG#

Command5=!RainmeterWriteKeyValue Variables Month "$UserInput$" "#CURRENTPATH#CountDownLua.ini" Y=40 DefaultValue="#Month#"
Command6=!RainmeterRefresh #CURRENTCONFIG#

Command7=!RainmeterWriteKeyValue Variables Date "$UserInput$" "#CURRENTPATH#CountDownLua.ini" Y=40 DefaultValue="#Date#"
Command8=!RainmeterRefresh #CURRENTCONFIG#

Command9=!RainmeterWriteKeyValue Variables Hour "$UserInput$" "#CURRENTPATH#CountDownLua.ini" Y=40 DefaultValue="#Hour#"
Command10=!RainmeterRefresh #CURRENTCONFIG#

Command11=!RainmeterWriteKeyValue Variables Minute "$UserInput$" "#CURRENTPATH#CountDownLua.ini" Y=40 DefaultValue="#Minute#"
Command12=!RainmeterRefresh #CURRENTCONFIG#

[LCountDown]
Measure=Script
ScriptFile=#CurrentPath#CountDownLua.lua
TableName=CountDown
Year=#Year#
Month=#Month#
Day=#Date#
Hour=#Hour#
Minute=#Minute#
Second=#Second#

;--------------
;Calculations
;--------------

[CHide]
Measure=Calc
Formula=((#Hide#+1) > 1) ? 0 : #Hide#+1
DynamicVariables=1


;--------------
;Style
;--------------

[Text]
FontColor=#FColor#
FontSize=20
FontFace=#Font#
StringEFfect=#Effect#
StringEffectColor#EColor#
AntiAlias=#AA#
NumOfDecimals=#NDec#


;--------------
;Graphics
;--------------

[Event]
Meter=String
MeterStyle=Text
FontSize=(#FSize#*1.5)
Text=#Event#
LeftMouseUpAction=!RainmeterPluginBang "MInput ExecuteBatch 1-2"
DynamicVariables=1
ToolTipText="#Year#/#Month#/#Date# #Hour#:#Minute#"

[Date]
Meter=String
MeterStyle=Text
Postfix=д
LeftMouseUpAction=!Execute [!RainmeterWriteKeyValue Variables Hide [CHide]][!RainmeterRefresh]
Y=R

[Hour]
Meter=String
MeterStyle=Text
Postfix=ч
LeftMouseUpAction=!Execute [!RainmeterWriteKeyValue Variables Hide [CHide]][!RainmeterRefresh]
Y=r
X=R

[Minute]
Meter=String
MeterStyle=Text
Postfix=м
LeftMouseUpAction=!Execute [!RainmeterWriteKeyValue Variables Hide [CHide]][!RainmeterRefresh]
Y=r
X=R

[Second]
Meter=String
MeterStyle=Text
Postfix=с
LeftMouseUpAction=!Execute [!RainmeterWriteKeyValue Variables Hide [CHide]][!RainmeterRefresh]
Y=r
X=R

;--

[EYear]
Meter=String
MeterStyle=Text
Text="#Year# /"
LeftMouseUpAction=!RainmeterPluginBang "MInput ExecuteBatch 3-4"
Hidden=[CHide]
DynamicVariables=1
Y=R

[EMonth]
Meter=String
MeterStyle=Text
Text="#Month# /"
LeftMouseUpAction=!RainmeterPluginBang "MInput ExecuteBatch 5-6"
Hidden=[CHide]
DynamicVariables=1
Y=r
X=R

[EDate]
Meter=String
MeterStyle=Text
Text="#Date#  "
LeftMouseUpAction=!RainmeterPluginBang "MInput ExecuteBatch 7-8"
Hidden=[CHide]
DynamicVariables=1
Y=r
X=R

[EHour]
Meter=String
MeterStyle=Text
Text=" #Hour# :"
LeftMouseUpAction=!RainmeterPluginBang "MInput ExecuteBatch 9-10"
Hidden=[CHide]
DynamicVariables=1
Y=r
X=R

[EMinute]
Meter=String
MeterStyle=Text
Text="#Minute#"
LeftMouseUpAction=!RainmeterPluginBang "MInput ExecuteBatch 11-12"
Hidden=[CHide]
DynamicVariables=1
Y=r
X=R
